#!/bin/bash

#Copyright (C) 2006, 2007 NTT DATA Corporation
#
#This program is free software; you can redistribute it and/or
#Modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation, version 2.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details

FAILURE_MESSAGE="Hinemos stop fails."

echo "Hinemos stopping."

# check for incorrect user
EXEC_USER=`/usr/bin/whoami`
if [ ${EXEC_USER} != "hinemos" ]; then
        echo "";
        echo "ERROR  Hienmos Maneger boot at incorrect user ";
        echo "";
        exit 1;
fi

. /opt/hinemos/hinemos.cfg

${HINEMOS_HOME}/bin/jboss_stop.sh 2> /dev/null
REVAL=$?
if [ $REVAL -eq 1 ]; then
    echo ""
    echo "JBoss stop fails."   
    echo ""
	echo ${FAILURE_MESSAGE}
	exit 1
fi
echo ""


${HINEMOS_HOME}/bin/ldap_stop.sh
REVAL=$?
if [ $REVAL -ne 0 ]; then
    echo ""
    echo "slpad stop fails."
    echo ""
	echo ${FAILURE_MESSAGE}
	exit 1
fi
echo ""


${HINEMOS_HOME}/bin/pg_stop.sh
REVAL=$?
if [ $REVAL -ne 0 ]; then
    echo ""
    echo "postmaster stop fails"
    echo ""
	echo ${FAILURE_MESSAGE}
	exit 1
fi
echo ""

echo "Hinemos stopped."
